Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 619584 - ghostscript fails with a pdf file
ghostscript fails with a pdf file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-29 16:52 EDT by Dhaval Giani
Modified: 2011-06-29 08:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 08:47:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dhaval Giani 2010-07-29 16:52:41 EDT
Description of problem:
segfault on trying to open a pdf file

Version-Release number of selected component (if applicable):
[dhaval@gondor ~]$ rpm -qv ghostscript
ghostscript-8.71-9.fc13.x86_64
[dhaval@gondor ~]$ 

How reproducible:
Always

gdb trace,

(gdb) r -q -dNOPAUSE -dBATCH -dSAFER -sDEVICE=pswrite -sOutputFile="Acceptance letter.ps" -c save pop -f "Acceptance letter.pdf"
Starting program: /usr/bin/gs -q -dNOPAUSE -dBATCH -dSAFER -sDEVICE=pswrite -sOutputFile="Acceptance letter.ps" -c save pop -f "Acceptance letter.pdf"
[Thread debugging using libthread_db enabled]

Program received signal SIGSEGV, Segmentation fault.
0x0000003593db3ff3 in s_zlibD_process (st=<value optimized out>, pr=0x6a54c0, pw=0x6e4590, ignore_last=<value optimized out>) at base/szlibd.c:90
90                  if (!strcmp("incorrect data check", zs->msg))
(gdb) bt
#0  0x0000003593db3ff3 in s_zlibD_process (st=<value optimized out>, pr=0x6a54c0, pw=0x6e4590, ignore_last=<value optimized out>) at base/szlibd.c:90
#1  0x0000003593d496b6 in sreadbuf (s=<value optimized out>, pbuf=<value optimized out>) at base/stream.c:807
#2  0x0000003593d49837 in s_process_read_buf (s=0x6e4520) at base/stream.c:733
#3  0x0000003593d498d8 in spgetcc (s=0x6e4520, close_at_eod=1) at base/stream.c:451
#4  0x0000003593d41feb in scan_token (i_ctx_p=<value optimized out>, pref=<value optimized out>, pstate=<value optimized out>) at psi/iscan.c:563
#5  0x0000003593d5929c in token_continue (i_ctx_p=0x6456e0, pstate=0x7fffffffbf00, save=1) at psi/ztoken.c:111
#6  0x0000003593d59d99 in ztoken (i_ctx_p=0x6456e0) at psi/ztoken.c:54
#7  0x0000003593d3e33d in interp (pi_ctx_p=<value optimized out>, pref=<value optimized out>, perror_object=<value optimized out>) at psi/interp.c:1538
#8  0x0000003593d3ee9b in gs_call_interp (pi_ctx_p=0x6043c8, pref=0x6456e0, user_errors=<value optimized out>, pexit_code=<value optimized out>, perror_object=0x7fffffffd330) at psi/interp.c:496
#9  gs_interpret (pi_ctx_p=0x6043c8, pref=0x6456e0, user_errors=<value optimized out>, pexit_code=<value optimized out>, perror_object=0x7fffffffd330) at psi/interp.c:454
#10 0x0000003593d337c5 in gs_main_interpret (minst=<value optimized out>, user_errors=20, pexit_code=0x15, perror_object=0x3593ff481a) at psi/imain.c:214
#11 gs_main_run_string_end (minst=<value optimized out>, user_errors=20, pexit_code=0x15, perror_object=0x3593ff481a) at psi/imain.c:526
#12 0x0000003593d349ee in run_string (minst=0x604330, str=<value optimized out>, options=3) at psi/imainarg.c:814
#13 0x0000003593d3520a in runarg (minst=0x604330, pre=0x35940125fd "", arg=<value optimized out>, post=0x3593fddcb2 ".runfile", options=3) at psi/imainarg.c:805
#14 0x0000003593d36bac in gs_main_init_with_args (minst=0x604330, argc=12, argv=0x7fffffffdf28) at psi/imainarg.c:215
#15 0x0000000000400a34 in main (argc=12, argv=0x7fffffffdf28) at psi/dxmainc.c:84
(gdb) 

I cannot share the pdf publicly since its private, but I can share it privately on the condition that it not be shared.
Comment 1 Tim Waugh 2010-09-02 07:59:33 EDT
You can send it to me personally at twaugh@redhat.com.  If you like, you can encrypt it using my public key (9A4ADAD7).  I might be able to construct a smaller reproducer from it.

Thanks.
Comment 2 Bug Zapper 2011-06-01 08:31:33 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-29 08:47:26 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.